/**
 * ccv : run by cli (ccv)
 */
import { execSync } from 'child_process';
import { createCommitMessage } from './cli.js';
import path from 'path';
export async function ccv(currentPath) {
    try {
        // TODO : 나중에 git command 옵션 파싱하는 로직
        const paths = process.argv.slice(2);
        if (paths.length)
            execSync(`git add ${path.join(currentPath, ...paths)}`);
        ['SIGINT', 'SIGTERM', 'SIGQUIT'].forEach(signal => process.on(signal, () => {
            console.log('handling');
            if (paths.length)
                execSync('git reset HEAD');
            // eslint-disable-next-line no-process-exit
            process.exit(1);
        }));
        process.on('SIGINT', () => {
            console.log('ufck');
        });
        const isStaged = execSync('git diff --staged').toString();
        if (isStaged) {
            const message = await createCommitMessage();
            execSync(`git commit -m ${message}`);
        }
        else {
            console.warn('nothing to commit, working tree clean');
        }
    }
    catch (error) {
        console.error(error);
    }
}
//# sourceMappingURL=ccv.js.map