import inquirer from 'inquirer';
const questions = [
    {
        type: 'list',
        name: 'type',
        message: 'Select your commit type',
        choices: [
            '🎉 init',
            '✨ feat',
            '🐛 fix',
            '📚 docs',
            '💄 style',
            '🔨 refactor',
            '🐎 perf',
            '🚨 test',
            '💚 chore',
            '🔖 version',
            '🚀 deploy',
        ],
        filter(val) {
            return val.toLowerCase();
        },
    },
    {
        type: 'input',
        name: 'title',
        message: 'Title',
        suffix: ' :',
    },
    {
        type: 'input',
        name: 'body',
        message: 'Body',
        suffix: '  :',
    },
    {
        type: 'string',
        name: 'issue',
        message: 'Issue (option)',
        suffix: ' :',
    },
];
/**
 * createCommitMessage : create github commit message
 */
export const createCommitMessage = () => {
    const message = inquirer.prompt(questions).then((answer) => {
        const message = `${answer.type}: ${answer.title}` +
            `${answer.issue ? answer.issue : ''}` +
            `\n\n${answer.body}\n\n${answer.issue}\n`;
        console.log(message);
        return message;
    });
    return message;
};
//# sourceMappingURL=cli.js.map