/**
 * gccv : run by github hooks
 */
import { execSync } from 'child_process';
import { closeSync, openSync, writeFileSync } from 'fs';
import { createCommitMessage } from './cli.js';
export async function gitccv() {
    try {
        const COMMIT_MSG_FILE = execSync('git rev-parse --git-dir')
            .toString()
            .replace(/(\r\n|\n|\r)/gm, '');
        const message = await createCommitMessage();
        const commitFilePath = `${COMMIT_MSG_FILE}/COMMIT_EDITMSG`;
        const fd = openSync(commitFilePath, 'w');
        try {
            writeFileSync(fd, message);
        }
        catch (error) {
            console.error(error);
        }
        finally {
            closeSync(fd);
        }
    }
    catch (error) {
        console.error(error);
    }
}
//# sourceMappingURL=gitccv.js.map